## org.apache.myfaces.component.html.ext
Class HtmlCommandLink

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  javax.faces.component.html.HtmlCommandLink
                      org.apache.myfaces.component.html.ext.HtmlCommandLink

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.StateHolder, UserRoleAware

Direct Known Subclasses:
  HtmlCommandNavigation, HtmlCommandNavigationItem, HtmlCommandSortHeader

public class HtmlCommandLink
extends javax.faces.component.html.HtmlCommandLink
implements UserRoleAware

Version:
  $Revision: 167522 $ $Date: 2005-01-16 15:09:54 -0500 (Sun, 16 Jan 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: matzew $), Manfred Geiler

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UICommand
`COMPONENT_FAMILY`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`HtmlCommandLink()`

Method Summary
`java.lang.String` `getClientId(javax.faces.context.FacesContext context)`
`java.lang.String` `getEnabledOnUserRole()`
`java.lang.String` `getTarget()`
`java.lang.String` `getVisibleOnUserRole()`
`boolean` `isRendered()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setTarget(java.lang.String target)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class javax.faces.component.html.HtmlCommandLink

`getAccesskey, getCharset, getCoords, getDir, getHreflang, getLang, getOnblur, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRel, getRev, getShape, getStyle, getStyleClass, getTabindex, getTitle, getType, setAccesskey, setCharset, setCoords, setDir, setHreflang, setLang, setOnblur, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRel, setRev, setShape, setStyle, setStyleClass, setTabindex, setTitle, setType`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionListener, getActionListeners, getFamily, getValue, isImmediate, queueEvent, removeActionListener, setAction, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlCommandLink

    public HtmlCommandLink()

Method Detail

### getClientId

    public java.lang.String getClientId(javax.faces.context.FacesContext context)

### setTarget

    public void setTarget(java.lang.String target)

### getTarget

    public java.lang.String getTarget()

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

  Specified by:
    `setEnabledOnUserRole` in interface `UserRoleAware`

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

  Specified by:
    `getEnabledOnUserRole` in interface `UserRoleAware`

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

  Specified by:
    `setVisibleOnUserRole` in interface `UserRoleAware`

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

  Specified by:
    `getVisibleOnUserRole` in interface `UserRoleAware`

### isRendered

    public boolean isRendered()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`